Subject: Re: [PATCH] Add list-all-objects command

From: Charles Bailey <[email-masked]>
Date: Mon, 22 Jun 2015 22:48:19 +0100

On Mon, Jun 22, 2015 at 06:33:21AM -0400, Jeff King wrote:
> On Mon, Jun 22, 2015 at 04:38:22AM -0400, Jeff King wrote:
> 
> > > +	prepare_packed_git();
> > > +	for (p = packed_git; p; p = p->next) {
> > > +		open_pack_index(p);
> > > +	}
> > 
> > Yikes. The fact that you need to do this means that
> > for_each_packed_object is buggy, IMHO. I'll send a patch.
> 
> Here's that patch. And since I did not want to pile work on Charles, I
> went ahead and just implemented the patches I suggested in the other
> email.

I have to say that I think that adding this functionality to cat-file
makes a lot of sense. If it only catted files it might be a stretch but
as it's already grown --batch-check functionality, it now seems a
reasonable extension. I'm not particularly attached to having a
standalone "list-all-objects" command per se.